banshee does not save window position when minimized to tray

Bug #311803 reported by Ivan Stetsenko on 2008-12-27
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Banshee
Confirmed
Low
banshee (Ubuntu)
Low
Unassigned

Bug Description

Steps to reproduce:

1. Start Banshee
2. Move a window somewhere/maximize it
3. Minimize banshee to tray by clicking on the tray icon
4. Move a pointer away from the banshee tray icon
5. Restore the player by clicking on the icon again

What is expected:

Banshee should be in maximized state as it were before (and other apps, such as pidgin or deluge, works well)

What happens:

Banshee window appears unmaximized and placed at the position, where it appears when banshee is launched.

ii banshee 1.4.1-1ubuntu1
ii metacity 1:2.25.34-0ubuntu1

Chow Loong Jin (hyperair) wrote :

Can you test if this bug still occurs in the current Banshee version in Jaunty (1.4.2)?

Changed in banshee:
status: New → Incomplete
Andrew Conkling (andrewski) wrote :

It happens in 1.4.2 and trunk.

Changed in banshee:
status: Incomplete → Confirmed

On Sun, 2009-02-01 at 17:06 +0000, Andrew Conkling wrote:
> It happens in 1.4.2 and trunk.
>
> ** Changed in: banshee (Ubuntu)
> Status: Incomplete => Confirmed
>
> ** Bug watch added: GNOME Bug Tracker #559690
> http://bugzilla.gnome.org/show_bug.cgi?id=559690
>
> ** Also affects: banshee via
> http://bugzilla.gnome.org/show_bug.cgi?id=559690
> Importance: Unknown
> Status: Unknown
>
You sure? It saves the window position for me. Using Compiz though.
--
Chow Loong Jin

Changed in banshee:
status: Unknown → Confirmed

  hyperair wrote 10 minutes ago: Re: [Bug 311803] Re: [Jaunty] banshee does not save window position when minimized to tray (permalink)
You sure? It saves the window position for me. Using Compiz though.

Everything is fine with compiz for me as well. The bug occurs only if I'm using metacity.

On Sun, 2009-02-01 at 17:33 +0000, Ivan Stetsenko wrote:
> hyperair wrote 10 minutes ago: Re: [Bug 311803] Re: [Jaunty] banshee does not save window position when minimized to tray (permalink)
> You sure? It saves the window position for me. Using Compiz though.
>
> Everything is fine with compiz for me as well. The bug occurs only if
> I'm using metacity.
>
I see. Then it must be Compiz compensating for Banshee.
--
Chow Loong Jin

On Sun, Feb 1, 2009 at 12:33 PM, Ivan Stetsenko <email address hidden> wrote:

> hyperair wrote 10 minutes ago:
> > You sure? It saves the window position for me. Using Compiz though.
>
> Everything is fine with compiz for me as well. The bug occurs only if
> I'm using metacity.

Thanks guys, I added that info upstream.

I can confirm this using Banshee 1.4.3 and metacity 2.25.144 (latest Jaunty updates on Wed 16th of April 09).

Is this bug fixed anywhere?

btw #311803 is a duplicate of this bug

Changed in banshee (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
Jonas H (jonash) wrote :

Seems to be fixed in Karmic.

Remi Debay (debay-remi-gmail) wrote :

It affects me on Lucid with version installed : banshee_1.6.1-1~lucid1_i386.deb

Changed in banshee:
importance: Unknown → Low
Kamus (kamus) wrote :

Please could somebody confirm if this behaviour is fixed under latest release of banshee 1.9.2 included in ppa daily repository? Thanks.

Changed in banshee (Ubuntu):
status: Triaged → Incomplete

On Tuesday 25,January,2011 02:48 AM, Kamus wrote:
> Please could somebody confirm if this behaviour is fixed under latest
> release of banshee 1.9.2 included in ppa daily repository? Thanks.
>
> ** Changed in: banshee (Ubuntu)
> Status: Triaged => Incomplete
>
  affects ubuntu/banshee
  status confirmed

Yeah, I can confirm that when it's minimized to the Sound Menu at least

--
Kind regards,
Loong Jin

Changed in banshee (Ubuntu):
status: Incomplete → Confirmed
Simon Déziel (sdeziel) on 2011-03-01
summary: - [Jaunty] banshee does not save window position when minimized to tray
+ banshee does not save window position when minimized to tray
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.